Get a project
curl --request GET \
--url https://api.withampersand.com/v1/projects/{projectIdOrName} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.withampersand.com/v1/projects/{projectIdOrName}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.withampersand.com/v1/projects/{projectIdOrName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "my-project",
"name": "mailmonkey-staging",
"appName": "MailMonkey",
"createTime": "2023-11-07T05:31:56Z",
"orgId": "9f7c3e2a-61b8-4f5c-8d1a-eb24f3b05d79",
"updateTime": "2023-11-07T05:31:56Z",
"entitlements": {
"brandingRemoval": {
"value": true
}
}
}{
"type": "about:blank",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Bad Request",
"status": 400,
"detail": "The input message is incorrect",
"instance": "123456-1234-1235-4567489798",
"issues": [
{
"type": "about:blank",
"detail": "exampleNumericProperty should be numeric",
"in": "path",
"name": "exampleNumericProperty",
"value": "abc"
},
{
"type": "about:blank",
"title": "Input isn't valid with respect to schema",
"detail": "examplePropertyWithPattern a2345678901 doesn't match pattern '^\\d{11}$'",
"in": "body",
"name": "items[0].examplePropertyWithPattern",
"value": "a2345678901"
}
]
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}Project
Get a project
GET
/
projects
/
{projectIdOrName}
Get a project
Authorizations
APIKeyHeaderBearer
Path Parameters
The Ampersand project ID or project name.
Query Parameters
Response
Project
The project ID.
Example:
"my-project"
The project name.
Example:
"mailmonkey-staging"
The name of the application, which is displayed to end users.
Example:
"MailMonkey"
The time the project was created.
The organization ID that this project belongs to.
Example:
"9f7c3e2a-61b8-4f5c-8d1a-eb24f3b05d79"
The time the project was updated.
The entitlements for the project.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

